export * from './actionsApi';
import { ActionsApi } from './actionsApi';
export * from './certificateActionsApi';
import { CertificateActionsApi } from './certificateActionsApi';
export * from './certificatesApi';
import { CertificatesApi } from './certificatesApi';
export * from './datacentersApi';
import { DatacentersApi } from './datacentersApi';
export * from './firewallActionsApi';
import { FirewallActionsApi } from './firewallActionsApi';
export * from './firewallsApi';
import { FirewallsApi } from './firewallsApi';
export * from './floatingIPActionsApi';
import { FloatingIPActionsApi } from './floatingIPActionsApi';
export * from './floatingIPsApi';
import { FloatingIPsApi } from './floatingIPsApi';
export * from './iSOsApi';
import { ISOsApi } from './iSOsApi';
export * from './imageActionsApi';
import { ImageActionsApi } from './imageActionsApi';
export * from './imagesApi';
import { ImagesApi } from './imagesApi';
export * from './loadBalancerActionsApi';
import { LoadBalancerActionsApi } from './loadBalancerActionsApi';
export * from './loadBalancerTypesApi';
import { LoadBalancerTypesApi } from './loadBalancerTypesApi';
export * from './loadBalancersApi';
import { LoadBalancersApi } from './loadBalancersApi';
export * from './locationsApi';
import { LocationsApi } from './locationsApi';
export * from './networkActionsApi';
import { NetworkActionsApi } from './networkActionsApi';
export * from './networksApi';
import { NetworksApi } from './networksApi';
export * from './placementGroupsApi';
import { PlacementGroupsApi } from './placementGroupsApi';
export * from './pricingApi';
import { PricingApi } from './pricingApi';
export * from './primaryIPActionsApi';
import { PrimaryIPActionsApi } from './primaryIPActionsApi';
export * from './primaryIPsApi';
import { PrimaryIPsApi } from './primaryIPsApi';
export * from './sSHKeysApi';
import { SSHKeysApi } from './sSHKeysApi';
export * from './serverActionsApi';
import { ServerActionsApi } from './serverActionsApi';
export * from './serverTypesApi';
import { ServerTypesApi } from './serverTypesApi';
export * from './serversApi';
import { ServersApi } from './serversApi';
export * from './volumeActionsApi';
import { VolumeActionsApi } from './volumeActionsApi';
export * from './volumesApi';
import { VolumesApi } from './volumesApi';
import * as http from 'http';

export class HttpError extends Error {
    constructor (public response: http.IncomingMessage, public body: any, public statusCode?: number) {
        super('HTTP request failed');
        this.name = 'HttpError';
    }
}

export { RequestFile } from '../model/models';

export const APIS = [ActionsApi, CertificateActionsApi, CertificatesApi, DatacentersApi, FirewallActionsApi, FirewallsApi, FloatingIPActionsApi, FloatingIPsApi, ISOsApi, ImageActionsApi, ImagesApi, LoadBalancerActionsApi, LoadBalancerTypesApi, LoadBalancersApi, LocationsApi, NetworkActionsApi, NetworksApi, PlacementGroupsApi, PricingApi, PrimaryIPActionsApi, PrimaryIPsApi, SSHKeysApi, ServerActionsApi, ServerTypesApi, ServersApi, VolumeActionsApi, VolumesApi];
